"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Semantics = void 0;
const tslib_1 = require("tslib");
const joi_1 = (0, tslib_1.__importDefault)(require("joi"));
const CurrencyAmount = joi_1.default.object().keys({
    currencyCode: joi_1.default.string(),
    amount: joi_1.default.string(),
});
const PersonNameComponent = joi_1.default.object().keys({
    givenName: joi_1.default.string(),
    familyName: joi_1.default.string(),
    middleName: joi_1.default.string(),
    namePrefix: joi_1.default.string(),
    nameSuffix: joi_1.default.string(),
    nickname: joi_1.default.string(),
    phoneticRepresentation: joi_1.default.string(),
});
const seat = joi_1.default.object().keys({
    seatSection: joi_1.default.string(),
    seatRow: joi_1.default.string(),
    seatNumber: joi_1.default.string(),
    seatIdentifier: joi_1.default.string(),
    seatType: joi_1.default.string(),
    seatDescription: joi_1.default.string(),
});
const location = joi_1.default.object().keys({
    latitude: joi_1.default.number().required(),
    longitude: joi_1.default.number().required(),
});
const WifiNetwork = joi_1.default.object().keys({
    password: joi_1.default.string().required(),
    ssid: joi_1.default.string().required(),
});
exports.Semantics = joi_1.default.object().keys({
    airlineCode: joi_1.default.string(),
    artistIDs: joi_1.default.array().items(joi_1.default.string()),
    awayTeamAbbreviation: joi_1.default.string(),
    awayTeamLocation: joi_1.default.string(),
    awayTeamName: joi_1.default.string(),
    balance: CurrencyAmount,
    boardingGroup: joi_1.default.string(),
    boardingSequenceNumber: joi_1.default.string(),
    carNumber: joi_1.default.string(),
    confirmationNumber: joi_1.default.string(),
    currentArrivalDate: joi_1.default.string(),
    currentBoardingDate: joi_1.default.string(),
    currentDepartureDate: joi_1.default.string(),
    departureAirportCode: joi_1.default.string(),
    departureAirportName: joi_1.default.string(),
    departureGate: joi_1.default.string(),
    departureLocation: location,
    departureLocationDescription: joi_1.default.string(),
    departurePlatform: joi_1.default.string(),
    departureStationName: joi_1.default.string(),
    departureTerminal: joi_1.default.string(),
    destinationAirportCode: joi_1.default.string(),
    destinationAirportName: joi_1.default.string(),
    destinationGate: joi_1.default.string(),
    destinationLocation: location,
    destinationLocationDescription: joi_1.default.string(),
    destinationPlatform: joi_1.default.string(),
    destinationStationName: joi_1.default.string(),
    destinationTerminal: joi_1.default.string(),
    duration: joi_1.default.number(),
    eventEndDate: joi_1.default.string(),
    eventName: joi_1.default.string(),
    eventStartDate: joi_1.default.string(),
    eventType: joi_1.default.string().regex(/(PKEventTypeGeneric|PKEventTypeLivePerformance|PKEventTypeMovie|PKEventTypeSports|PKEventTypeConference|PKEventTypeConvention|PKEventTypeWorkshop|PKEventTypeSocialGathering)/),
    flightCode: joi_1.default.string(),
    flightNumber: joi_1.default.number(),
    genre: joi_1.default.string(),
    homeTeamAbbreviation: joi_1.default.string(),
    homeTeamLocation: joi_1.default.string(),
    homeTeamName: joi_1.default.string(),
    leagueAbbreviation: joi_1.default.string(),
    leagueName: joi_1.default.string(),
    membershipProgramName: joi_1.default.string(),
    membershipProgramNumber: joi_1.default.string(),
    originalArrivalDate: joi_1.default.string(),
    originalBoardingDate: joi_1.default.string(),
    originalDepartureDate: joi_1.default.string(),
    passengerName: PersonNameComponent,
    performerNames: joi_1.default.array().items(joi_1.default.string()),
    priorityStatus: joi_1.default.string(),
    seats: joi_1.default.array().items(seat),
    securityScreening: joi_1.default.string(),
    silenceRequested: joi_1.default.boolean(),
    sportName: joi_1.default.string(),
    totalPrice: CurrencyAmount,
    transitProvider: joi_1.default.string(),
    transitStatus: joi_1.default.string(),
    transitStatusReason: joi_1.default.string(),
    vehicleName: joi_1.default.string(),
    vehicleNumber: joi_1.default.string(),
    vehicleType: joi_1.default.string(),
    venueEntrance: joi_1.default.string(),
    venueLocation: location,
    venueName: joi_1.default.string(),
    venuePhoneNumber: joi_1.default.string(),
    venueRoom: joi_1.default.string(),
    wifiAccess: joi_1.default.array().items(WifiNetwork),
});
//# sourceMappingURL=Semantics.js.map